### Name: combine
### Title: Combine different interval matrix objects
### Aliases: combine combine,Intervals-method combine,Intervals_full-method
###   combine,missing-method


### ** Examples

f1 <- Intervals( 1:2, type = "Z" )
g1 <- open_intervals( f1 + 5 )

# Combining Intervals objects over Z may require closure adjustment
combine( f1, g1 )

f2 <- f1; g2 <- g1
type( f2 ) <- type( g2 ) <- "R"

# Combine Intervals objects over R which have different closure requires
# coercion

h <- combine( f2, g2 )

# Coercion for mixed combinations as well
combine( h, g2 + 10 )

## Not run: 
##D 
##D # Combining different types is not permitted
##D combine( h, g1 + 10 )
##D 
## End(Not run)



