### Name: rd_equal
### Title: Test approximate equality using relative difference
### Aliases: rd_equal


### ** Examples

eps <- 1e-5
x <- 1:2
y <- x + c( eps, 0 )
intervals:::rd_equal(x, y)

# The relative difference for all.equal() uses the average across the
# target vector in the denominator, while rd_equal() computes the
# denominator coordinate-wise:

intervals:::rd_equal(x, y, tolerance = eps)
all.equal(x, y, tolerance = eps)

# Handling non-finite values

intervals:::rd_equal(
                     c( .8, .9, NA, Inf, -Inf ),
                     c(  1,  1,  1, Inf,  Inf ),
                     tol = .1
                     )



